html,body{padding:0;margin:0;overflow:hidden;overflow-x:hidden;-webkit-text-size-adjust:none;width:100%;height:100%;position:fixed}
input[type=checkbox]{cursor:pointer}
#overlays{opacity:0;position:absolute;left:0;right:0;top:0;bottom:0;background-color:rgba(0,0,0,0.5);z-index:200}
#connecting{position:absolute;top:0;left:0;width:100%;height:100%;background-color:rgba(0,0,0,0.7);z-index:100;display:flex;justify-content:center;align-items:center;opacity:0;transition:opacity 0.3s}
#connecting-content{width:350px;background-color:#1e1e1e;border:2px solid #FF33AA;border-radius:15px;padding:20px;text-align:center;box-shadow:0 0 20px rgba(255,51,170,0.4);color:#fff}
#title{padding:10px}
#nick{width:65%}
#skin{width:33%;float:right}
#nick,#skin{display:inline}
#gamemode{margin-top:5px;width:100%}
#helloDialog{width:400px;background-color:#fff;margin:10px auto;border-radius:15px;padding:5px 15px 5px 15px;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);z-index:201 !important}
#chat_textbox{transition:all .5s ease-in-out;position:absolute;z-index:1;bottom:10px;background:rgba(0,0,0,.2);border:0px;outline:none;color:#fff;height:30px;text-indent:12px;left:10px;width:300px;font-family:"Ubuntu"}
#chat_textbox:focus{background:rgba(0,0,0,.5)}
#footer{text-align:center;margin-bottom:10px;margin-top:-10px}
#play-btn{width:85%;margin-bottom:10px}
#spectate-btn{width:13%;float:right;top:0}
#play-btn,#spectate-button{display:inline}
#gallery-btn{width:100%;margin-bottom:5px;display:none}
#touchpad,#touchCircle,#splitBtn,#ejectBtn{position:fixed}
#touchpad,#splitBtn,#ejectBtn{z-index:2}
#touchpad{background:#000;opacity:0.3;width:20vw;height:20vh;left:0;bottom:0}
#touchCircle{width:4vw;height:4vw;border-radius:2vw;background:#f00;opacity:0.3;z-index:3}
#splitBtn,#ejectBtn{width:8vw;height:8vw;border-radius:4vw;background:#777;opacity:0.5}
#splitBtn{right:18vw;bottom:0}
#ejectBtn{bottom:18vw;right:0}
#playSounds:checked + #soundsVolume{display:inline}
#soundsVolume{display:none;width:100px;height:18px;padding:0;vertical-align:middle}
#settings label{margin-right:10px;user-select:none}